// Prisoner's dilemma trap
clear
ztree2stata pdtrap using lecture8.xls

xi i.vote, noomit prefix(D)
graph bar (mean) Dvote_1 Dvote_2 if mod(period, 3)==1, over(period, relabel(1 "Period 1" 2 "Period 4" 3 "Period 4") axis(lcolor(none))) stack bar(1, fcolor(ebblue) lcolor(black)) bar(2, fcolor(orange) lcolor(black)) ytitle(Fraction of individuals) yscale(noline) ylabel(0(0.2)1, angle(horizontal) format(%9.1f) nogrid) legend(order(1 "Game A" 2 "Game B") size(large) region(lcolor(white)) position(6)) name(pdtrapvotes, replace) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(black))
graph export pdtrapvotes.pdf, as(pdf) replace

collapse cooperate earnings, by(game)
twoway (bar cooperate game if game==1, fcolor(maroon) fintensity(100) lcolor(black) barwidth(0.8)) (bar cooperate game if game==2, fcolor(forest_green) fintensity(100) lcolor(black) barwidth(0.8)), ytitle("") yscale(noline) ylabel(0(0.2)1, labsize(large) angle(horizontal) format(%9.1f) glwidth(vthin) glcolor(gs12) gmin gmax) xtitle("") xscale(range(0 3)) xscale(noline) xlabel(1 "Game A" 2 "Game B8", labsize(vlarge)) title(Fraction cooperating, size(huge) color(black) position(12)) legend(off) name(pdtrapcoop, replace) xsize(4) ysize(6) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(none))
graph export pdtrapcoop.pdf, as(pdf) replace
twoway (bar earnings game if game==1, fcolor(maroon) fintensity(100) lcolor(black) barwidth(0.8)) (bar earnings game if game==2, fcolor(forest_green) fintensity(100) lcolor(black) barwidth(0.8)), ytitle("") yscale(noline) ylabel(0(3)15, labsize(large) angle(horizontal) format(%9.0f) glwidth(vthin) glcolor(gs12) gmin gmax) xtitle("") xscale(range(0 3)) xscale(noline) xlabel(1 "Game A" 2 "Game B8", labsize(vlarge)) title(Average payoffs, size(huge) color(black) position(12)) legend(off) name(pdtrapearn, replace) xsize(4) ysize(6) graphregion(fcolor(white) lcolor(white)) plotregion(lcolor(none))
graph export pdtrapearn.pdf, as(pdf) replace




